Package org.eclipse.zest.core.viewers

# Interface IGraphEntityContentProvider

All Superinterfaces:
  `IContentProvider`, `IStructuredContentProvider`

public interface IGraphEntityContentProvider extends IStructuredContentProvider

## Method Summary

Modifier and Type
Method
Description
`Object[]`
`getConnectedTo(Object entity)`
Gets the elements this object is connected to
`Object[]`
`getElements(Object inputElement)`

### Methods inherited from interface org.eclipse.jface.viewers.IContentProvider

`dispose, inputChanged`

## Method Details

### getElements

Object[] getElements(Object inputElement)

Specified by:
  `getElements` in interface `IStructuredContentProvider`

### getConnectedTo

Object[] getConnectedTo(Object entity)
Gets the elements this object is connected to

Parameters:
  `entity` -